System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter

You must provide the list of types to the constructor of this abstract class.

For more information about type converters, see the base class and How to: Implement a Type Converter.

You should never create an instance of a . Instead, call the method of . For more information, see the examples in the base class.

Provides a type converter that can be used to populate a list box with available types.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The types provided in the parameter can be used to populate a list box with the available types.

  Initializes a new instance of the class using the type array as the available types.

  The array of type to use as the available types.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added

  Gets a value indicating whether this converter can convert the specified of the source object using the given context.

  true if this converter can perform the conversion; otherwise, false.

  An that provides a format context. The of the source object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether this converter can convert an object to the given destination type using the context.

  true if this converter can perform the conversion; otherwise, false.

  An that provides a format context. A that represents the type you wish to convert to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` To be added

  Converts the specified object to the native type of the converter.

  An that represents the converted value.

  An that provides a format context. A that specifies the culture used to represent the font. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` ``

  This method most commonly converts types to and from string objects.

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Converts the given value object to the specified destination type.

  An that represents the converted .

  An that provides a format context. An optional . If not supplied, the current culture is assumed. The to convert. The to convert the value to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a collection of standard values for the data type this validator is designed for.

  A that holds a standard set of valid values, or null if the data type does not support a standard set of values.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  When the list is exclusive, no other values are valid besides the list of standard values the method provides.

  Gets a value indicating whether the list of standard values returned from the method is an exclusive list.

  true because the returned from is an exhaustive list of possible values. This method never returns false.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether this object supports a standard set of values that can be picked from a list using the specified context.

  true because should be called to find a common set of values the object supports. This method never returns false.

  An that provides a format context.